[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSList.Extract

delete an element from the list

## Declaration

Source position: fgl.pp line 82

`public procedure TFPSList.Extract(`
`Item: Pointer;`
`ResultPtr: Pointer`
`);`

## Arguments

`Item` |  | Pointer to item to extract
`ResultPtr` |  | The actually removed item.

## Description

Extract removes the item pointed to by Item from the list. It returns a pointer to the actually removed item from the list. The item is searched using TFPSList.IndexOf. If the item is not found, nil is returned.

Some descendents own the items in the list. Extract will not dispose of the item, as TFPSList.Delete does.

## Errors

None.

## See also

TFPSList.Delete |  | Delete an item from the list
TFPSList.Add |  | Add a new item to the list
TFPSList.IndexOf |  | Search an item in the list